cascading.flow.local

## Class LocalFlowProcess

- java.lang.Object
- - cascading.flow.FlowProcess<Properties>
  - - cascading.flow.local.LocalFlowProcess

    public class LocalFlowProcess
    extends FlowProcess<Properties>

Class LocalFlowProcess is the local mode implementation of `FlowProcess`.

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.flow.FlowProcess

`FlowProcess.NullFlowProcess`

### Field Summary

### Fields inherited from class cascading.flow.FlowProcess

`NULL`

### Constructor Summary

Constructors
Constructor and Description
`LocalFlowProcess()`
`LocalFlowProcess(FlowSession flowSession, Properties config)`
`LocalFlowProcess(LocalFlowProcess flowProcess, Properties properties)`
`LocalFlowProcess(Properties config)`

### Method Summary

Methods
`<C> C` `copyConfig(C config)`
`FlowProcess` `copyWith(Properties object)`
`<C> Map<String,String>` `diffConfigIntoMap(C defaultConfig, C updatedConfig)`
`Properties` `getConfig()`
`Properties` `getConfigCopy()`
`long` `getCounterValue(Enum counter)`
`long` `getCounterValue(String group, String counter)`
`int` `getCurrentSliceNum()`
`int` `getNumProcessSlices()`
`Object` `getProperty(String key)`
`Collection<String>` `getPropertyKeys()`
`void` `increment(Enum counter, long amount)`
`void` `increment(String group, String counter, long amount)`
`boolean` `isCounterStatusInitialized()`
`void` `keepAlive()`
`Properties` `mergeMapIntoConfig(Properties defaultConfig, Map<String,String> map)`
`Object` `newInstance(String className)`
`TupleEntryCollector` `openSystemIntermediateForWrite()`
`TupleEntryIterator` `openTapForRead(Tap tap)`
`TupleEntryCollector` `openTapForWrite(Tap tap)`
`TupleEntryCollector` `openTrapForWrite(Tap trap)`
`void` `setStatus(String status)`
`void` `setStepStats(LocalStepStats stepStats)`

### Methods inherited from class cascading.flow.FlowProcess

`closeTrapCollectors, getBooleanProperty, getBooleanProperty, getCurrentSession, getID, getIntegerProperty, getIntegerProperty, getStringProperty, getStringProperty, getTrapCollectorFor, getTrapCollectors, setCurrentSession`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalFlowProcess

    public LocalFlowProcess()

#### LocalFlowProcess

    public LocalFlowProcess(Properties config)

#### LocalFlowProcess

    public LocalFlowProcess(FlowSession flowSession,
                    Properties config)

#### LocalFlowProcess

    public LocalFlowProcess(LocalFlowProcess flowProcess,
                    Properties properties)

### Method Detail

#### setStepStats

    public void setStepStats(LocalStepStats stepStats)

#### getNumProcessSlices

    public int getNumProcessSlices()

Specified by:
  `getNumProcessSlices` in class `FlowProcess<Properties>`

#### getCurrentSliceNum

    public int getCurrentSliceNum()

Specified by:
  `getCurrentSliceNum` in class `FlowProcess<Properties>`

#### getProperty

    public Object getProperty(String key)

Specified by:
  `getProperty` in class `FlowProcess<Properties>`

#### getPropertyKeys

    public Collection<String> getPropertyKeys()

Specified by:
  `getPropertyKeys` in class `FlowProcess<Properties>`

#### newInstance

    public Object newInstance(String className)

Specified by:
  `newInstance` in class `FlowProcess<Properties>`

#### keepAlive

    public void keepAlive()

Specified by:
  `keepAlive` in class `FlowProcess<Properties>`

#### increment

    public void increment(Enum counter,
                 long amount)

Specified by:
  `increment` in class `FlowProcess<Properties>`

#### increment

    public void increment(String group,
                 String counter,
                 long amount)

Specified by:
  `increment` in class `FlowProcess<Properties>`

#### getCounterValue

    public long getCounterValue(Enum counter)

Specified by:
  `getCounterValue` in class `FlowProcess<Properties>`

#### getCounterValue

    public long getCounterValue(String group,
                       String counter)

Specified by:
  `getCounterValue` in class `FlowProcess<Properties>`

#### setStatus

    public void setStatus(String status)

Specified by:
  `setStatus` in class `FlowProcess<Properties>`

#### isCounterStatusInitialized

    public boolean isCounterStatusInitialized()

Specified by:
  `isCounterStatusInitialized` in class `FlowProcess<Properties>`

#### openTapForRead

    public TupleEntryIterator openTapForRead(Tap tap)
                                      throws IOException

Specified by:
  `openTapForRead` in class `FlowProcess<Properties>`
Throws:
  `IOException`

#### openTapForWrite

    public TupleEntryCollector openTapForWrite(Tap tap)
                                        throws IOException

Specified by:
  `openTapForWrite` in class `FlowProcess<Properties>`
Throws:
  `IOException`

#### openTrapForWrite

    public TupleEntryCollector openTrapForWrite(Tap trap)
                                         throws IOException

Specified by:
  `openTrapForWrite` in class `FlowProcess<Properties>`
Throws:
  `IOException`

#### openSystemIntermediateForWrite

    public TupleEntryCollector openSystemIntermediateForWrite()
                                                       throws IOException

Specified by:
  `openSystemIntermediateForWrite` in class `FlowProcess<Properties>`
Throws:
  `IOException`

#### copyWith

    public FlowProcess copyWith(Properties object)

Specified by:
  `copyWith` in class `FlowProcess<Properties>`

#### getConfig

    public Properties getConfig()

Specified by:
  `getConfig` in class `FlowProcess<Properties>`

#### getConfigCopy

    public Properties getConfigCopy()

Specified by:
  `getConfigCopy` in class `FlowProcess<Properties>`

#### copyConfig

    public <C> C copyConfig(C config)

Specified by:
  `copyConfig` in class `FlowProcess<Properties>`

#### diffConfigIntoMap

    public <C> Map<String,String> diffConfigIntoMap(C defaultConfig,
                                           C updatedConfig)

Specified by:
  `diffConfigIntoMap` in class `FlowProcess<Properties>`

#### mergeMapIntoConfig

    public Properties mergeMapIntoConfig(Properties defaultConfig,
                                Map<String,String> map)

Specified by:
  `mergeMapIntoConfig` in class `FlowProcess<Properties>`